Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025232
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementcriticalalways2013-11-27 18:162013-12-19 12:30
ReporteregoitzView Statuspublic 
Assigned Toeduardo_Argal 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision7b18cd543a03
ProjectionnoneETAnoneTarget Version3.0MP30
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Topramakrishnan
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2013-10-09
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/1b42e944e4a7 [^]
Triggers an Emergency PackNo
Summary

0025232: Using instance variables on the GeneralAccountingReport can cause wrong information on the reports printed

DescriptionUsing instance variables on the GeneralAccountingReport can cause wrong information on the reports printed.
Steps To ReproduceCheck on the GeneralAccountingReports.java file there are two instance variables.
This instance variables must not be used on servlets.

The variables.
  String openingEntryOwner;
  String openingEntryOwnerRef;


Read the following blog post
http://alostale.wordpress.com/2009/01/30/multithread-safe-servlets/ [^]
Proposed SolutionNot use instance variables.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0025868 closededuardo_Argal Wrong Balance Sheet information randomly 

-  Notes
(0062501)
hgbot (developer)
2013-12-04 10:41

Repository: erp/devel/pi
Changeset: 7b18cd543a03e519e461cde5685e8494865c2ab6
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Wed Dec 04 10:40:35 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/7b18cd543a03e519e461cde5685e8494865c2ab6 [^]

Fixes issue 25232: Using instance variables on the GeneralAccountingReport

---
M src/org/openbravo/erpCommon/ad_reports/GeneralAccountingReports.java
---
(0062502)
pramakrishnan (developer)
2013-12-04 10:42

Code Review + Testing - OK.
(0062818)
hudsonbot (developer)
2013-12-19 12:30

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b878bb51dc09 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-11-27 18:16 egoitz New Issue
2013-11-27 18:16 egoitz Assigned To => eduardo_Argal
2013-11-27 18:16 egoitz Modules => Core
2013-11-27 18:16 egoitz Triggers an Emergency Pack => No
2013-11-27 18:17 egoitz Regression level => Production - Confirmed Stable
2013-11-27 18:17 egoitz Regression date => 2013-10-09
2013-11-27 18:17 egoitz Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/1b42e944e4a7 [^]
2013-11-27 18:17 egoitz Severity major => critical
2013-11-27 18:20 egoitz Issue Monitored: networkb
2013-11-28 12:25 priyam Issue Monitored: priyam
2013-12-02 11:50 eduardo_Argal Status new => scheduled
2013-12-02 11:50 eduardo_Argal fix_in_branch => pi
2013-12-04 10:41 hgbot Checkin
2013-12-04 10:41 hgbot Note Added: 0062501
2013-12-04 10:41 hgbot Status scheduled => resolved
2013-12-04 10:41 hgbot Resolution open => fixed
2013-12-04 10:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7b18cd543a03e519e461cde5685e8494865c2ab6 [^]
2013-12-04 10:42 pramakrishnan Review Assigned To => pramakrishnan
2013-12-04 10:42 pramakrishnan Note Added: 0062502
2013-12-04 10:42 pramakrishnan Status resolved => closed
2013-12-19 12:30 hudsonbot Checkin
2013-12-19 12:30 hudsonbot Note Added: 0062818
2014-02-28 12:55 maite Relationship added related to 0025868


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker